Bug 169192 - kpilot segfault on selecting address viewer
kpilot segfault on selecting address viewer
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-24 07:51 EDT by Jonathan Underwood
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-03 11:02:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2005-09-24 07:51:50 EDT
Description of problem:
When selecting address viewer (without a palm attached) kpilot segfaults

Version-Release number of selected component (if applicable):
kdepim-3.4.2-0.fc4.3
pilot-link-0.12.0-0.pre4.0.fc4.2

How reproducible:
Every time

Steps to Reproduce:
1. start kpilot
2. select address viewer
3.
  
Actual results:
segfault

Expected results:
no segfault

Additional info:
backtrace:
Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208117568 (LWP 3883)]
[KCrash handler]
#4  0x08071592 in AddressWidget::updateWidget (this=0x99918d8)
    at addressWidget.cc:308
#5  0x08072000 in AddressWidget::showComponent (this=0x99918d8)
    at addressWidget.cc:166
#6  0x0805e234 in KPilotInstaller::slotAboutToShowComponent (this=0x9933d70, 
    c=0x99911e8) at kpilot.cc:357
#7  0x08060dcf in KPilotInstaller::qt_invoke (this=0x9933d70, _id=90, 
    _o=0xbf8fbd24) at kpilot.moc:159
#8  0x03375eb4 in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#9  0x03d4fbba in KJanusWidget::aboutToShowPage () from /usr/lib/libkdeui.so.4
#10 0x03d4fc18 in KJanusWidget::qt_emit () from /usr/lib/libkdeui.so.4
#11 0x03375e61 in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#12 0x0370f921 in QWidgetStack::aboutToShow ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#13 0x034c6c14 in QWidgetStack::raiseWidget ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#14 0x03d5432a in KJanusWidget::showPage () from /usr/lib/libkdeui.so.4
#15 0x03d54531 in KJanusWidget::showPage () from /usr/lib/libkdeui.so.4
#16 0x03d5045c in KJanusWidget::slotShowPage () from /usr/lib/libkdeui.so.4
#17 0x03d5420a in KJanusWidget::qt_invoke () from /usr/lib/libkdeui.so.4
#18 0x03375eb4 in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#19 0x03376374 in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#20 0x036ffcea in QListBox::selectionChanged ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#21 0x0345cb09 in QListBox::setSelected ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#22 0x03458ba6 in QListBox::mousePressEventEx ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#23 0x03458f9a in QListBox::mousePressEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#24 0x033b41aa in QWidget::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#25 0x033110dd in QApplication::internalNotify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#26 0x0331203f in QApplication::notify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#27 0x039d6851 in KApplication::notify () from /usr/lib/libkdecore.so.4
#28 0x032a8746 in QETWidget::translateMouseEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#29 0x032a6f01 in QApplication::x11ProcessEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#30 0x032bb008 in QEventLoop::processEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#31 0x03329812 in QEventLoop::enterLoop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#32 0x03329736 in QEventLoop::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#33 0x03310aa9 in QApplication::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#34 0x080649e9 in main (argc=0, argv=0x0) at kpilot.cc:1228
#35 0x004ead5f in __libc_start_main () from /lib/libc.so.6
#36 0x0805b5e1 in _start ()
Comment 1 Ngo Than 2006-05-03 11:02:47 EDT
It's fixed in new KDE-3.5.2 and pilot-link in FC4 update. You should please
update to new version. Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.